GDB (xrefs)

Public Attributes | List of all members
template_symbol Struct Reference

`#include "symtab.h"`

Inheritance diagram for template_symbol:

## Public Attributes
int | n_template_arguments
struct symbol ** | template_arguments
Public Attributes inherited from symbol
struct general_symbol_info | ginfo
struct type * | type
union {
struct symtab * symtab
struct gdbarch * arch
} | owner
__extension__ enum domain_enum_tag | domain: SYMBOL_DOMAIN_BITS
unsigned int | aclass_index: SYMBOL_ACLASS_BITS
unsigned int | is_objfile_owned: 1
unsigned | is_argument: 1
unsigned | is_inlined: 1
__extension__ enum symbol_subclass_kind | subclass: 2
unsigned short | line
void * | aux_value
struct symbol * | hash_next

## Detailed Description

Definition at line 1203 of file symtab.h.

## Member Data Documentation

## ◆ n_template_arguments

int template_symbol::n_template_arguments

Definition at line 1206 of file symtab.h.

Referenced by cp_lookup_symbol_imports_or_template().

## ◆ template_arguments

struct symbol** template_symbol::template_arguments

Definition at line 1210 of file symtab.h.

Referenced by cp_lookup_symbol_imports_or_template().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/symtab.h